uuid: d20d93b0-ad2e-4cfe-b206-dec3a728a7a6
langcode: en
status: true
dependencies: {  }
id: gronze_url_redirect
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - redirects
  - level2
migration_group: gronze_urls
label: 'URL redirects migration from Drupal 7'
source:
  plugin: d7_path_redirect
  high_water_property:
    name: rid
    alias: p
process:
  uid:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: uid
    no_stub: true
  redirect_source/path: source
  redirect_source/query:
    plugin: d7_redirect_source_query
    source: source_options
  redirect_redirect/uri:
    -
      plugin: d7_path_redirect
      source:
        - redirect
        - redirect_options
    -
      plugin: internal_path_lookup
      node_migrations:
        - gronze_node_albergues
        - gronze_node_alojamiento
        - gronze_node_article
        - gronze_node_caminos
        - gronze_node_etapas
        - gronze_node_forum
        - gronze_node_foto
        - gronze_node_notes
        - gronze_node_page
        - gronze_node_poi
        - gronze_node_recorrido
      taxonomy_migrations:
        - gronze_taxonomy_accommodation_services
        - gronze_taxonomy_accommodation_type
        - gronze_taxonomy_authors
        - gronze_taxonomy_category
        - gronze_taxonomy_forums
        - gronze_taxonomy_location_services
        - gronze_taxonomy_locations
        - gronze_taxonomy_note_type
        - gronze_taxonomy_poi_type
        - gronze_taxonomy_regions
        - gronze_taxonomy_tags
        - gronze_taxonomy_text_sections
      user_migrations:
        - gronze_user_accounts
      no_stub: true
  language:
    plugin: default_value
    default_value: es
  status_code: status_code
  created: access
destination:
  plugin: 'entity:redirect'
migration_dependencies:
  required:
    - gronze_user_accounts
    - gronze_node_albergues
    - gronze_node_alojamiento
    - gronze_node_article
    - gronze_node_caminos
    - gronze_node_etapas
    - gronze_node_forum
    - gronze_node_foto
    - gronze_node_notes
    - gronze_node_page
    - gronze_node_poi
    - gronze_node_recorrido
    - gronze_taxonomy_accommodation_services
    - gronze_taxonomy_accommodation_type
    - gronze_taxonomy_authors
    - gronze_taxonomy_category
    - gronze_taxonomy_forums
    - gronze_taxonomy_location_services
    - gronze_taxonomy_locations
    - gronze_taxonomy_note_type
    - gronze_taxonomy_poi_type
    - gronze_taxonomy_regions
    - gronze_taxonomy_tags
    - gronze_taxonomy_text_sections
